Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class Chart

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.utils.Chart

public class Chart
extends GenObject

Field Summary
`(package private) FlashEnvironment` | `_fld0115`
`(package private) Context` | `_fld0119`
`(package private) java.lang.String` | `_fld0276`
`static int` | `ANIMATE_CONSTANT_SPEED`
`static int` | `ANIMATE_CONSTANT_TIME`
`static int` | `ANIMATE_SEQUENTIAL`
`static float` | `EPSILON`
`static int` | `HORIZONTAL_LABEL_ABS`
`static int` | `HORIZONTAL_LABEL_FIT`
`static int` | `HORIZONTAL_LABEL_FIXED`
`static int` | `HORIZONTAL_LABEL_HORIZONTAL`
`static int` | `HORIZONTAL_LABEL_SCALE`
`static int` | `HORIZONTAL_LABEL_VERTICAL`
`static int` | `VALUE_ALWAYS`
`static int` | `VALUE_NEVER`
`static int` | `VALUE_PLACE_ON_BAR`
`static int` | `VALUE_PLACE_OVER_BAR`
`static int` | `VALUE_PLACE_OVER_CHART`
`static int` | `VALUE_PLACE_UNDER_CHART`
`static int` | `VALUE_ROLLOVER`
`static int` | `VALUE_SCALE_ABS`
`static int` | `VALUE_SCALE_FIT`
`static int` | `VALUE_SCALE_FIXED`
`static int` | `VALUE_SCALE_SCALE`
`static int` | `VALUE_SCALE_UNDEF`

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`Chart(java.lang.String s, FlashEnvironment flashenvironment, Context context, Script script)`

Method Summary
`void` | `addHorizontalLabelScript(int i, Script script)`
`void` | `addStackValueScript(int i, int j, Script script)`
`void` | `addValueScript(int i, Script script)`
`void` | `computeChartSize()`
`void` | `drawScatterLines(boolean flag)`
`protected void` | `finalize()`
`float` | `getChartMax()`
`float` | `getChartMin()`
`Script` | `getLabelScript(Script script, PropertyParser propertyparser)`
`float` | `getMajorInterval()`
`java.lang.String` | `GetResourceString(java.lang.String s)`
`Script` | `getScatterValueScript(Script script, PropertyParser propertyparser)`
`Script` | `getSymbolScript(java.lang.String s)`
`Script` | `getValueScript(Script script, PropertyParser propertyparser)`
`java.lang.String` | `MakeFloatLabel(float f)`
`void` | `process()`
`void` | `processLines()`
`void` | `processPie()`
`void` | `processStock(int i)`
`void` | `pushDataSet()`
`void` | `release()`
`void` | `RenderLabels(FlashEnvironment flashenvironment, GenVector genvector, Script script)`
`void` | `set2DData(int i, float f, float f1, Script script)`
`void` | `setAnimateFrameCount(int i, int j)`
`void` | `setAreaFill(boolean flag)`
`void` | `setAutoScale(boolean flag)`
`void` | `setBorder(boolean flag)`
`void` | `setChartDataSize(float f, float f1)`
`void` | `setChartLineThickness(int i)`
`void` | `setChartRect(Rect rect)`
`void` | `setClip(Script script, int i)`
`void` | `setDataColor(int i, int j)`
`void` | `setDataCount(int i)`
`void` | `setDataValue(int i, float f)`
`void` | `setDataValue(int i, float f, int j)`
`void` | `setDepth3D(float f)`
`void` | `setDivisions(int i, int j)`
`void` | `setEffect3D(boolean flag)`
`void` | `setFrameCount(int i)`
`void` | `setGoTo(int i, int j, java.lang.String s)`
`void` | `setGoToLabel(int i, java.lang.String s, java.lang.String s1)`
`void` | `setGridLines(int i)`
`void` | `setHorizontalLabelDisplay(int i, int j, float f)`
`void` | `setLabel(float f, Script script)`
`void` | `setLabels(boolean flag)`
`void` | `setLineStyle(int i, int j, int k, int l)`
`void` | `setMaxDataEntries(int i)`
`void` | `setMultiDimenDataCount(int i, int j)`
`void` | `setMultiDimenValue(int i, float[] af, int j)`
`void` | `setOrigin(float f)`
`void` | `setPieLabelPosition(int i)`
`void` | `setSpacing(int i, int j)`
`void` | `setStackColor(int i, int j)`
`void` | `setStackCount(int i, int j)`
`void` | `setStackGoTo(int i, int j, int k, java.lang.String s)`
`void` | `setStackGoToLabel(int i, int j, java.lang.String s, java.lang.String s1)`
`void` | `setStackURL(int i, int j, java.lang.String s, java.lang.String s1)`
`void` | `setStackValue(int i, int j, float f)`
`void` | `setURL(int i, java.lang.String s, java.lang.String s1)`
`void` | `setUserLimits(float f, boolean flag, float f1, boolean flag1)`
`void` | `setUserXLimits(float f, boolean flag, float f1, boolean flag1)`
`void` | `setValueDisplay(int i, int j, float f)`
`void` | `setValuePlacement(int i)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _fld0119

    Context _fld0119

### _fld0115

    FlashEnvironment _fld0115

### _fld0276

    java.lang.String _fld0276

### VALUE_NEVER

    public static final int VALUE_NEVER

### VALUE_ALWAYS

    public static final int VALUE_ALWAYS

### VALUE_ROLLOVER

    public static final int VALUE_ROLLOVER

### VALUE_PLACE_ON_BAR

    public static final int VALUE_PLACE_ON_BAR

### VALUE_PLACE_OVER_BAR

    public static final int VALUE_PLACE_OVER_BAR

### VALUE_PLACE_OVER_CHART

    public static final int VALUE_PLACE_OVER_CHART

### VALUE_PLACE_UNDER_CHART

    public static final int VALUE_PLACE_UNDER_CHART

### VALUE_SCALE_UNDEF

    public static final int VALUE_SCALE_UNDEF

### VALUE_SCALE_FIT

    public static final int VALUE_SCALE_FIT

### VALUE_SCALE_FIXED

    public static final int VALUE_SCALE_FIXED

### VALUE_SCALE_SCALE

    public static final int VALUE_SCALE_SCALE

### VALUE_SCALE_ABS

    public static final int VALUE_SCALE_ABS

### HORIZONTAL_LABEL_VERTICAL

    public static final int HORIZONTAL_LABEL_VERTICAL

### HORIZONTAL_LABEL_HORIZONTAL

    public static final int HORIZONTAL_LABEL_HORIZONTAL

### HORIZONTAL_LABEL_FIT

    public static final int HORIZONTAL_LABEL_FIT

### HORIZONTAL_LABEL_FIXED

    public static final int HORIZONTAL_LABEL_FIXED

### HORIZONTAL_LABEL_SCALE

    public static final int HORIZONTAL_LABEL_SCALE

### HORIZONTAL_LABEL_ABS

    public static final int HORIZONTAL_LABEL_ABS

### ANIMATE_SEQUENTIAL

    public static final int ANIMATE_SEQUENTIAL

### ANIMATE_CONSTANT_TIME

    public static final int ANIMATE_CONSTANT_TIME

### ANIMATE_CONSTANT_SPEED

    public static final int ANIMATE_CONSTANT_SPEED

### EPSILON

    public static final float EPSILON

Constructor Detail

### Chart

    public Chart(java.lang.String s,
                 FlashEnvironment flashenvironment,
                 Context context,
                 Script script)
          throws GeneratorApiException

Method Detail

### GetResourceString

    public java.lang.String GetResourceString(java.lang.String s)

### MakeFloatLabel

    public java.lang.String MakeFloatLabel(float f)

### RenderLabels

    public void RenderLabels(FlashEnvironment flashenvironment,
                             GenVector genvector,
                             Script script)

### addHorizontalLabelScript

    public void addHorizontalLabelScript(int i,
                                         Script script)

### addStackValueScript

    public void addStackValueScript(int i,
                                    int j,
                                    Script script)

### addValueScript

    public void addValueScript(int i,
                               Script script)

### computeChartSize

    public void computeChartSize()

### drawScatterLines

    public void drawScatterLines(boolean flag)

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getChartMax

    public float getChartMax()

### getChartMin

    public float getChartMin()

### getLabelScript

    public Script getLabelScript(Script script,
                                 PropertyParser propertyparser)

### getMajorInterval

    public float getMajorInterval()

### getScatterValueScript

    public Script getScatterValueScript(Script script,
                                        PropertyParser propertyparser)

### getSymbolScript

    public Script getSymbolScript(java.lang.String s)

### getValueScript

    public Script getValueScript(Script script,
                                 PropertyParser propertyparser)

### process

    public void process()
                 throws GeneratorApiException

### processLines

    public void processLines()
                      throws GeneratorApiException

### processPie

    public void processPie()
                    throws GeneratorApiException

### processStock

    public void processStock(int i)
                      throws GeneratorApiException

### pushDataSet

    public void pushDataSet()

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### set2DData

    public void set2DData(int i,
                          float f,
                          float f1,
                          Script script)

### setAnimateFrameCount

    public void setAnimateFrameCount(int i,
                                     int j)

### setAreaFill

    public void setAreaFill(boolean flag)
                     throws GeneratorApiException

### setAutoScale

    public void setAutoScale(boolean flag)
                      throws GeneratorApiException

### setBorder

    public void setBorder(boolean flag)

### setChartDataSize

    public void setChartDataSize(float f,
                                 float f1)
                          throws GeneratorApiException

### setChartLineThickness

    public void setChartLineThickness(int i)

### setChartRect

    public void setChartRect(Rect rect)

### setClip

    public void setClip(Script script,
                        int i)

### setDataColor

    public void setDataColor(int i,
                             int j)

### setDataCount

    public void setDataCount(int i)

### setDataValue

    public void setDataValue(int i,
                             float f)

### setDataValue

    public void setDataValue(int i,
                             float f,
                             int j)

### setDepth3D

    public void setDepth3D(float f)

### setDivisions

    public void setDivisions(int i,
                             int j)
                      throws GeneratorApiException

### setEffect3D

    public void setEffect3D(boolean flag)

### setFrameCount

    public void setFrameCount(int i)

### setGoTo

    public void setGoTo(int i,
                        int j,
                        java.lang.String s)
                 throws GeneratorApiException

### setGoToLabel

    public void setGoToLabel(int i,
                             java.lang.String s,
                             java.lang.String s1)
                      throws GeneratorApiException

### setGridLines

    public void setGridLines(int i)

### setHorizontalLabelDisplay

    public void setHorizontalLabelDisplay(int i,
                                          int j,
                                          float f)
                                   throws GeneratorApiException

### setLabel

    public void setLabel(float f,
                         Script script)

### setLabels

    public void setLabels(boolean flag)

### setLineStyle

    public void setLineStyle(int i,
                             int j,
                             int k,
                             int l)

### setMaxDataEntries

    public void setMaxDataEntries(int i)

### setMultiDimenDataCount

    public void setMultiDimenDataCount(int i,
                                       int j)

### setMultiDimenValue

    public void setMultiDimenValue(int i,
                                   float[] af,
                                   int j)

### setOrigin

    public void setOrigin(float f)
                   throws GeneratorApiException

### setPieLabelPosition

    public void setPieLabelPosition(int i)

### setSpacing

    public void setSpacing(int i,
                           int j)

### setStackColor

    public void setStackColor(int i,
                              int j)

### setStackCount

    public void setStackCount(int i,
                              int j)

### setStackGoTo

    public void setStackGoTo(int i,
                             int j,
                             int k,
                             java.lang.String s)
                      throws GeneratorApiException

### setStackGoToLabel

    public void setStackGoToLabel(int i,
                                  int j,
                                  java.lang.String s,
                                  java.lang.String s1)
                           throws GeneratorApiException

### setStackURL

    public void setStackURL(int i,
                            int j,
                            java.lang.String s,
                            java.lang.String s1)
                     throws GeneratorApiException

### setStackValue

    public void setStackValue(int i,
                              int j,
                              float f)

### setURL

    public void setURL(int i,
                       java.lang.String s,
                       java.lang.String s1)
                throws GeneratorApiException

### setUserLimits

    public void setUserLimits(float f,
                              boolean flag,
                              float f1,
                              boolean flag1)
                       throws GeneratorApiException

### setUserXLimits

    public void setUserXLimits(float f,
                               boolean flag,
                               float f1,
                               boolean flag1)
                        throws GeneratorApiException

### setValueDisplay

    public void setValueDisplay(int i,
                                int j,
                                float f)
                         throws GeneratorApiException

### setValuePlacement

    public void setValuePlacement(int i)
                           throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD